WebhookRuleListResponseSchema

object
valuelist of objectsWebhookRuleSchemaRequired
A list of Webhook rules
Show 2 propertiesHide 2 properties
metadataobjectWebhookRuleMetadataSchemaRequired
Webhook rule metadata.
Show 2 propertiesHide 2 properties
idstringRequiredformat: uuid
The ID of the webhook.
namestringRequired
The name of the webhook. Unique within a project.
specobjectWebhookRuleSpecSchemaRequired
Webhook rule spec.
Show 6 propertiesHide 6 properties
authenticationobjectAuthenticationSchemaOptional
Authentication details.
Show 2 propertiesHide 2 properties
headersmap from strings to stringOptional
Authentication headers.
Show value schemaHide value schema
[any key]string
queryParamsmap from strings to stringOptional
Authentication query parameters.
Show value schemaHide value schema
[any key]string
enabledbooleanRequired
Indicates whether the webhook is enabled.
eventslist of enumsRequired
List of events that trigger the webhook.
headersmap from strings to stringOptional
Headers to include in the webhook request.
Show value schemaHide value schema
[any key]string
queryParamsmap from strings to stringOptional
Query parameters to include in the webhook request.
Show value schemaHide value schema
[any key]string
urlstringRequired
The URL the webhook should call.